Package org.apache.sysds.runtime.transform

# Enum Class TfUtils.TfMethod

java.lang.Object
java.lang.Enum<TfUtils.TfMethod>
org.apache.sysds.runtime.transform.TfUtils.TfMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<TfUtils.TfMethod>`, `Constable`

Enclosing class:
  TfUtils

public static enum TfUtils.TfMethod extends Enum<TfUtils.TfMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAG_OF_WORDS`
`BIN`
`DUMMYCODE`
`HASH`
`IMPUTE`
`OMIT`
`RECODE`
`UDF`
`WORD_EMBEDDING`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static TfUtils.TfMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TfUtils.TfMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IMPUTE

public static final TfUtils.TfMethod IMPUTE

### RECODE

public static final TfUtils.TfMethod RECODE

### HASH

public static final TfUtils.TfMethod HASH

### BIN

public static final TfUtils.TfMethod BIN

### DUMMYCODE

public static final TfUtils.TfMethod DUMMYCODE

### UDF

public static final TfUtils.TfMethod UDF

### OMIT

public static final TfUtils.TfMethod OMIT

### WORD_EMBEDDING

public static final TfUtils.TfMethod WORD_EMBEDDING

### BAG_OF_WORDS

public static final TfUtils.TfMethod BAG_OF_WORDS

## Method Details

### values

public static TfUtils.TfMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TfUtils.TfMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<TfUtils.TfMethod>`